Get Uplinks Overview

Get Uplinks Overview
This API returns the metric data based on the last calculated values for all the uplinks

This API returns the metric data based on the last calculated values for all the uplinks

Request
URI
GET
https://{server}/hybridity/api/interconnect/underlay/uplinksHealth
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns uplinksOverviewResponse of type(s) application/json
{
    "items": [
        {
            "timestamp": 0,
            "uplinkId": "string",
            "remoteUplinkId": "string",
            "uplinkName": "string",
            "remoteUplinkName": "string",
            "testInProgress": false,
            "measuredApplianceId": "string",
            "measuredApplianceName": "string",
            "measuredData": {
                "maxAvailableBandwidth": {
                    "value": {
                        "uploadKbps": 0,
                        "downloadKbps": 0
                    },
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "latency": {
                    "value": 0,
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "lossRate": {
                    "value": "number",
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "mtu": 0
            },
            "serviceMeshIds": [
                "string"
            ]
        }
    ]
}
array of items
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/uplinksHealth